# (Deprecated) Load unit configuration

{% hint style="danger" %}
Load unit types API is deprecated, use instead [Operative container types](broken://pages/xRar20JqUhVbNoTuyC8s).
{% endhint %}

It is possible to use **load units** within the picking process. Load units can be any kind of custom items which complement the picked task, such as **bags, boxes, vouchers, or any kind of goodies / information** that the picker should get once the picking process is finished.

## Creating a load unit type

While a `load unit` captures the information for a particular `pick job`, the `load unit type` is the configuration object.

To create a `load unit type`, send a `POST` request to the following endpoint with the JSON body.

```
POST https://{YOUR-TENANT-NAME}.api.fulfillmenttools.com/api/loadunittypes
```

```json
{
    "nameLocalized": {
        "de_DE": "Papiertasche",
        "en_US": "Paperbag",
        "pl_PL": "Torba papierowa"
    },
    "priority": 1
}
```

## Update a load unit type

To update an existing `load unit type`, send a `PATCH` request to the following endpoint with the JSON body.

```
PATCH https://{YOUR-TENANT-NAME}.api.fulfillmenttools.com/api/loadunittypes/<loadUnitTypeId>
```

```json
{
    "version": 3,
    "actions": [
        {
            "action": "ModifyLoadUnitType",
            "priority": 2
        }
    ]
}
```

All defined `load unit types` are immediately displayed for selection in the picking process. If no `load unit types` are defined, this step is skipped in the application.

{% hint style="warning" %}
A `load unit type`, once defined, cannot be deleted via the API. Contact support for assistance in this scenario.
{% endhint %}

## Add an icon to a load unit type

An icon can be added to a `load unit type` definition for display in the Operations App. This helps the picker identify which item (e.g., bag or box) to choose. The image file must be base64-encoded in the HTTP request.

To add an icon to an existing `load unit type`, send a `PUT` request to the following endpoint with the JSON body.

```
PUT https://{YOUR-TENANT-NAME}.api.fulfillmenttools.com/api/loadunittypes/<loadUnitTypeId>/icon
```

```json
{
    "name": "paperbag.png",
    "content": "==base64-encoded content=="
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/store-operations/packing/deprecated-load-unit-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
